=== debian/changelog ===
freesba (0.3.5-1) unstable; urgency=low

  * Initial release (Closes: #594198).

 -- Samuel Ribeiro da Costa Vale <srcvale@minaslivre.org>  Sun, 29 Aug 2010 17:54:20 -0300
