=== debian/control ===
Source: freesba
Section: electronics
Priority: optional
Maintainer: Samuel Ribeiro da Costa Vale <srcvale@minaslivre.org>
Build-Depends: debhelper (>= 7.0.50~),
               autotools-dev,
               libreadline5-dev | libreadline-dev,
               libncurses5-dev
Standards-Version: 3.9.1.0
Homepage: https://code.google.com/p/samba/
Vcs-Git: git://git.debian.org/users/phractal-guest/freesba.git
Vcs-Browser: http://git.debian.org/?p=users/phractal-guest/freesba.git;a=summary

Package: freesba
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Flash utility for AT91SAM microcontrollers
 FreeSba, formally known as samba, is a free implementation of Atmel's
 SAM-ba(R) protocol, used as boot agent for Atmel AT91SAM microcontrollers.
 It is interfaces with SAM-ba(R) firmware in microcontrollers and allow
 SRAM and Flash programming, register visualization, etc.
